<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  admin_admin.php                                          ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");

	check_admin_security("admin_users");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_admin.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_lookup_tables_href", "admin_lookup_tables.php");
	$t->set_var("admin_admins_href", "admin_admins.php");
	$t->set_var("admin_admin_href", "admin_admin.php");

	$r = new VA_Record($table_prefix . "admins");
	$r->return_page = "admin_admins.php";

	$r->add_where("admin_id", INTEGER);

	$r->add_textbox("admin_name", TEXT, "Administartor Name");
	$r->change_property("admin_name", REQUIRED, true);

	$privileges = get_db_values("SELECT * FROM " . $table_prefix . "admin_privileges", "");
	$r->add_select("privilege_id", INTEGER, $privileges, "Privilege Type");
	$r->change_property("privilege_id", REQUIRED, true);

	$r->add_textbox("email", TEXT, "E-mail");
	$r->change_property("email", REQUIRED, true);
	$r->add_textbox("login", TEXT, "Login");
	$r->change_property("login", REQUIRED, true);
	$r->add_textbox("password", TEXT, "Password");
	$r->change_property("password", REQUIRED, true);
	$r->add_textbox("confirm", TEXT, "Confirm Password");
	$r->change_property("confirm", USE_IN_SELECT, false);
	$r->change_property("confirm", USE_IN_INSERT, false);
	$r->change_property("confirm", USE_IN_UPDATE, false);
	$r->change_property("password", MATCHED, "confirm");
	$r->events[AFTER_SELECT] = "set_confirm_field";

	$r->process();

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

	function set_confirm_field()
	{
		global $r;
		$r->set_value("confirm", $r->get_value("password"));
	}
?>
