<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  news.php                                                 ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./includes/common.php");
	include("./includes/sorter.php");
	include("./includes/navigator.php");
	include("./includes/date_functions.php");

  $t = new VA_Template($settings["templates_dir"]);
  $t->set_file("main","news.html");
	$t->set_var("NEWS_TITLE",    NEWS_TITLE);
	$t->set_var("READ_MORE_MSG", READ_MORE_MSG);
	$t->set_var("NO_NEWS_MSG",   NO_NEWS_MSG);

	$t->set_var("news_view_href", "news_view.php");
	$t->set_var("news_href", "news.php");
	$t->set_var("current_href", "news.php");

	$n = new VA_Navigator($settings["templates_dir"], "navigator.html", "news.php");

	include("./header.php");
	include("./footer.php");

	// set up variables for navigator
	$db->query("SELECT COUNT(*) FROM " . $table_prefix . "news WHERE is_showing=1");
	$db->next_record();
	$total_records = $db->f(0);
	$records_per_page = 10;
	$pages_number = 5;
	$page_number = $n->set_navigator("navigator", "page", SIMPLE, $pages_number, $records_per_page, $total_records, false);
	$t->set_var("page", $page_number);

	$db->RecordsPerPage = $records_per_page;
	$db->PageNumber = $page_number;
	$db->query("SELECT * FROM " . $table_prefix . "news WHERE is_showing=1 ORDER BY news_date DESC ");
	if($db->next_record())
	{
		$t->set_var("no_records", "");
		do
		{
			$t->set_var("news_id", $db->f("news_id"));
			$t->set_var("news_title", $db->f("news_title"));
			$news_date = $db->f("news_date", DATETIME);
			$t->set_var("news_date", va_date($date_show_format, $news_date));

			$t->set_var("preview_text", $db->f("preview_text"));
			$t->parse("records", true);
		} while($db->next_record());
	}
	else
	{
		$t->set_var("records", "");
		$t->set_var("navigator", "");
		$t->parse("no_records", false);
	}

	$t->pparse("main");

?>