<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  admin_custom_blocks.php                                  ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/sorter.php");
	include($root_folder_path . "includes/navigator.php");
	include($root_folder_path . "includes/date_functions.php");

	check_admin_security("layouts");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_custom_blocks.html");

	$t->set_var("admin_href", "admin.php");

	$admin_custom_block_url = new VA_URL("admin_custom_block.php", true);
	$t->set_var("admin_custom_block_new_url", $admin_custom_block_url->get_url());

	$admin_custom_block_url->add_parameter("block_id", DB, "block_id");

	$s = new VA_Sorter($settings["admin_templates_dir"], "sorter_img.html", "admin_custom_blocks.php");
	$s->set_sorter("ID", "sorter_block_id", "1", "block_id");
	$s->set_sorter("Block Title", "sorter_block_title", "2", "block_title");
	$s->set_sorter("Block Text", "sorter_block_desc", "3", "block_desc");

	$n = new VA_Navigator($settings["admin_templates_dir"], "navigator.html", "admin_custom_blocks.php");

	include("./admin_header.php");
	include("./admin_footer.php");

	// set up variables for navigator
	$db->query("SELECT COUNT(*) FROM " . $table_prefix . "custom_blocks");
	$db->next_record();
	$total_records = $db->f(0);
	$records_per_page = 25;
	$pages_number = 5;
	$page_number = $n->set_navigator("navigator", "page", SIMPLE, $pages_number, $records_per_page, $total_records, false);

	$db->RecordsPerPage = $records_per_page;
	$db->PageNumber = $page_number;
	$db->query("SELECT * FROM " . $table_prefix . "custom_blocks " . $s->order_by);
	if($db->next_record())
	{
		$t->set_var("no_records", "");
		do
		{
			$t->set_var("block_id", $db->f("block_id"));
		
			$block_title = $db->f("block_title");
			$block_title = strip_tags($block_title);
			$words = explode(" ", $block_title);
			if (sizeof($words) > 5) {
				$block_title = "";
				for ($i = 0; $i < 5; $i++) {
					$block_title .= $words[$i] . " ";
				}
				$block_title .= " ...";
			}

			$block_desc = $db->f("block_desc");
			$block_desc = strip_tags($block_desc);
			$words = explode(" ", $block_desc);
			if(sizeof($words) > 5) {
				$block_desc = "";
				for ($i = 0; $i < 5; $i++) {
					$block_desc .= $words[$i] . " ";
				}
				$block_desc .= " ...";
			} 

			$t->set_var("block_title", $block_title);
			$t->set_var("block_desc", $block_desc);

			$t->set_var("admin_custom_block_url", $admin_custom_block_url->get_url());


			$t->parse("records", true);
		} while($db->next_record());
	}
	else
	{
		$t->set_var("records", "");
		$t->set_var("navigator", "");
		$t->parse("no_records", false);
	}

	$t->pparse("main");

?>