<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  admin_layouts.php                                        ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/sorter.php");
	include($root_folder_path . "includes/navigator.php");

	check_admin_security("layouts");

	$t = new VA_Template($settings["admin_templates_dir"]);
	$t->set_file("main","admin_layouts.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_layout_href", "admin_layout.php");
	$t->set_var("admin_layout_header_href", "admin_layout_header.php");
	$t->set_var("admin_layout_page_href", "admin_layout_page.php");

	$s = new VA_Sorter($settings["admin_templates_dir"], "sorter_img.html", "admin_layouts.php");
	$s->set_sorter("ID", "sorter_layout_id", "1", "layout_id");
	$s->set_sorter("Layout Name", "sorter_layout_name", "2", "layout_name");

	$n = new VA_Navigator($settings["admin_templates_dir"], "navigator.html", "admin_layouts.php");

	include("./admin_header.php");
	include("./admin_footer.php");

	// set up variables for navigator
	$db->query("SELECT COUNT(*) FROM " . $table_prefix . "layouts");
	$db->next_record();
	$total_records = $db->f(0);
	$records_per_page = 25;
	$pages_number = 5;
	$page_number = $n->set_navigator("navigator", "page", SIMPLE, $pages_number, $records_per_page, $total_records, false);

	$db->RecordsPerPage = $records_per_page;
	$db->PageNumber = $page_number;
	$db->query("SELECT * FROM " . $table_prefix . "layouts " . $s->order_by);
	if($db->next_record())
	{
		$t->set_var("no_records", "");
		do
		{
			$layout_id = $db->f("layout_id");
			$layout_name = $db->f("layout_name");

			$t->set_var("layout_id", $layout_id);

			$layout_lc = strtolower($layout_name);
			if ($dir = @opendir($root_folder_path . "styles")) 
			{
				$dir_values = array();
				while($file = readdir($dir)) {
					if ( preg_match("/^" . $layout_lc . "\_/", $file) ) { 
						$dir_values[] = $file;
			    } 
			  }  
				closedir($dir);
				if(sizeof($dir_values) > 1) {
					$layout_name .= " :: <a href=\"admin_layout_scheme.php?layout_id=" . $layout_id . "\">Change Active Scheme</a>";
				}
			}
			
			if ( $settings["layout_id"] == $layout_id ) {
				$layout_status = "Active";
				$t->parse("active_rows",false);
			} else {
				$layout_status = "<a class=\"small\" href=\"admin_layout.php?set_layout_id=" . $layout_id . "\">Make Active</a>";
				$t->set_var("active_rows","<td colspan=6></td>");
			}

			$t->set_var("layout_name", $layout_name);
			$t->set_var("layout_status", $layout_status);
			
			$t->parse("records", true);
		} while($db->next_record());
	}
	else
	{
		$t->set_var("records", "");
		$t->set_var("navigator", "");
		$t->parse("no_records", false);
	}

	$t->pparse("main");

?>