<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  block_product_details.php                                ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/
                           

function product_details($block_name)
{
	global $t, $db, $table_prefix;
	global $settings, $page_settings;
	global $category_id;
	global $HTTP_GET_VARS;
	global $datetime_show_format;
	global $sc_item_id, $item_added, $sc_errors;

	if(get_setting_value($page_settings, $block_name . "_column_hide", 0)) {
		return;
	}

	$t->set_file("block_body", "block_product_details.html");

	$currency_left = ""; $currency_right = "";
	if($settings["currency_position"] == 1)
		$currency_left = $settings["currency_sign"];
	else if($settings["currency_position"] == 2)
		$currency_right = $settings["currency_sign"];

	// connection for properties
	$dbp = new VA_SQL();
	$dbp->DBDatabase = $db->DBDatabase;
	$dbp->DBUser     = $db->DBUser;
	$dbp->DBPassword = $db->DBPassword;
	$dbp->DBHost     = $db->DBHost;

	// connection for properies values
	$dbpv = new VA_SQL();
	$dbpv->DBDatabase = $db->DBDatabase;
	$dbpv->DBUser     = $db->DBUser;        
	$dbpv->DBPassword = $db->DBPassword;
	$dbpv->DBHost     = $db->DBHost;    

	$category_id = get_param("category_id");
	$item_id = get_param("item_id");
	if(!strlen($category_id) && strlen($item_id))
		$category_id = get_db_value("SELECT category_id FROM " . $table_prefix . "items_categories WHERE item_id=" . $db->tosql($item_id, INTEGER));

	$t->set_var("products_href", "products.php");
	$t->set_var("product_details_href", "product_details.php");
	$t->set_var("basket_href", "basket.php");
	$t->set_var("checkout_href", "checkout.php");
	$t->set_var("reviews_href", "reviews.php");
	$t->set_var("cl", $currency_left);
	$t->set_var("cr", $currency_right);
	$t->set_var("MORE_MSG",         MORE_MSG);
	$t->set_var("READ_MORE_MSG",    READ_MORE_MSG);
	$t->set_var("CLICK_HERE_MSG",   CLICK_HERE_MSG);
	$t->set_var("PRICE_MSG",        PRICE_MSG);
	$t->set_var("OUR_PRICE_MSG",    OUR_PRICE_MSG);
	$t->set_var("YOU_SAVE_MSG",     YOU_SAVE_MSG);
	$t->set_var("RATING_MSG",       RATING_MSG);
	$t->set_var("PROD_AVAILABILITY_MSG", PROD_AVAILABILITY_MSG);
	$t->set_var("ADD_TO_CART_MSG",  ADD_TO_CART_MSG);
	$t->set_var("VIEW_CART_MSG",    VIEW_CART_MSG);
	$t->set_var("AMEND_CART_MSG",   AMEND_CART_MSG);
	$t->set_var("GOTO_CHECKOUT_MSG",GOTO_CHECKOUT_MSG);
	$t->set_var("PROD_HIGHLIGHT_MSG",PROD_HIGHLIGHT_MSG);
	$t->set_var("PROD_NOTE_MSG",     PROD_NOTE_MSG);
	$t->set_var("PROD_SHIPPING_MSG", PROD_SHIPPING_MSG);
	$t->set_var("PROD_WEIGHT_MSG",   PROD_WEIGHT_MSG);
	$t->set_var("WRITE_REVIEW_MSG", WRITE_REVIEW_MSG);
	$t->set_var("RATE_PRODUCT_MSG", RATE_PRODUCT_MSG);
	$t->set_var("NOT_RATED_PRODUCT_MSG", NOT_RATED_PRODUCT_MSG);
	$t->set_var("AVERAGE_RATING_MSG",    AVERAGE_RATING_MSG);

	$tree = new VA_Tree("category_id", "category_name", "parent_category_id", $table_prefix . "categories", "tree", TOP_CATEGORY_MSG);
	$tree->show($category_id);

	$n = new VA_Navigator($settings["templates_dir"], "navigator.html", "products.php");

	// generate page link with query parameters
	$page = "product_details.php";
	$remove_parameters = array("rnd", "cart", "item_id");
	$query_string = get_query_string($HTTP_GET_VARS, $remove_parameters, "", false);
	$page	.= $query_string;
	$page .= strlen($query_string) ? "&" : "?";
	$cart_link  = $page;
	srand ((double) microtime() * 1000000);
	$random_value = rand();
	$page .= "item_id=" . urlencode($item_id);
	$cart_link .= "rnd=" . $random_value . "&";

	$t->set_var("rnd", $random_value);
	$t->set_var("rp_url", urlencode($page));
	$t->set_var("rp", htmlspecialchars($page));

	$t->set_var("current_category_id", $category_id);

/*
	$sql  = " SELECT i.item_id, i.item_name, i.full_desc_type, i.full_description, i.big_image, ";
	$sql .= " i.price, i.sales_price, i.discount_percent, i.buy_link, i.votes, i.points, ";
	$sql .= " i.is_sales, m.affiliate_code, ic.category_id, st.shipping_time_desc, ";
	$sql .= " sr.shipping_rule_desc, notes, weight ";
	$sql .= " FROM " . $table_prefix . "items i, " . $table_prefix . "items_categories ic ";
	$sql .= " LEFT JOIN " . $table_prefix . "manufacturers m ON i.manufacturer_id=m.manufacturer_id ";
	$sql .= " LEFT JOIN " . $table_prefix . "shipping_times st ON i.shipping_time_id=st.shipping_time_id ";
	$sql .= " LEFT JOIN " . $table_prefix . "shipping_rules sr ON i.shipping_rule_id=sr.shipping_rule_id ";
	$sql .= " WHERE i.item_id=ic.item_id ";
	$sql .= " AND ic.category_id = " . $db->tosql($category_id, INTEGER);
	$sql .= " AND i.item_id = " . $db->tosql($item_id, INTEGER);
	$sql .= " AND i.is_showing=1 AND ((i.hide_out_of_stock=1 AND i.stock_level > 0) OR i.hide_out_of_stock=0)";
*/

	$sql  = " SELECT i.item_id, i.item_name, i.features, i.full_desc_type, i.full_description, i.big_image, ";
	$sql .= " i.price, i.sales_price, i.discount_percent, i.buy_link, i.votes, i.points, ";
	$sql .= " i.is_sales, m.affiliate_code, ic.category_id, ";
	$sql .= " i.stock_level, st_in.shipping_time_desc AS in_stock_message, st_out.shipping_time_desc AS out_stock_message, ";
	$sql .= " sr.shipping_rule_desc, notes, weight ";
	$sql .= " FROM (((((" . $table_prefix . "items i ";
	$sql .= " INNER JOIN " . $table_prefix . "items_categories ic ON i.item_id=ic.item_id) ";
	$sql .= " LEFT JOIN " . $table_prefix . "manufacturers m ON i.manufacturer_id=m.manufacturer_id) ";
	$sql .= " LEFT JOIN " . $table_prefix . "shipping_times st_in ON i.shipping_in_stock=st_in.shipping_time_id) ";
	$sql .= " LEFT JOIN " . $table_prefix . "shipping_times st_out ON i.shipping_out_stock=st_out.shipping_time_id) ";
	$sql .= " LEFT JOIN " . $table_prefix . "shipping_rules sr ON i.shipping_rule_id=sr.shipping_rule_id) ";
	$sql .= " WHERE ic.category_id = " . $db->tosql($category_id, INTEGER);
	$sql .= " AND i.item_id = " . $db->tosql($item_id, INTEGER);
	$sql .= " AND i.is_showing=1 AND ((i.hide_out_of_stock=1 AND i.stock_level > 0) OR i.hide_out_of_stock=0)";

	$t->set_var("category_id", $category_id);

	$db->query($sql);
	if($db->next_record())
	{
		$item_number = 0;

		$item_number++;
		$t->set_var("category_id", $db->f("category_id"));
		$item_id = $db->f("item_id");
		$item_name = $db->f("item_name");
		$form_id = $item_id;

		$properties = show_items_properties($item_id, $form_id);
		$is_properties  = $properties["is_any"];
		$properties_ids = $properties["ids"];
		$selected_price = $properties["price"];

		$t->set_var("item_id", $item_id);
		$t->set_var("item_name", $item_name);
		$t->set_var("product_name", $item_name);
		$t->set_var("product_title", $item_name);
		$t->set_var("item_name_strip", htmlspecialchars(strip_tags($item_name)));

		$t->set_var("item_added", "");
		$t->set_var("sc_errors", "");
		if($item_id == $sc_item_id) {
			if ($sc_errors) {
				$t->set_var("errors_list", $sc_errors);
				$t->parse("sc_errors", false);
			} else if ($item_added) {
				$added_message = str_replace("{product_name}", $item_name, ADDED_PRODUCT_MSG);
				$t->set_var("added_message", $added_message);
				$t->parse("item_added", false);
			}
		} 

		$stock_level = $db->f("stock_level");
		if ($stock_level > 0) {
			$shipping_time_desc = $db->f("in_stock_message");
		} else {
			$shipping_time_desc = $db->f("out_stock_message");
		}
		if(strlen($shipping_time_desc))
		{
			$t->set_var("shipping_time_desc", $shipping_time_desc);
			$t->parse("availability", false);
		}
		if(strlen($db->f("shipping_rule_desc")))
		{
			$t->set_var("shipping_rule_desc", $db->f("shipping_rule_desc"));
			$t->parse("shipping_block", false);
		}
		if(strlen($db->f("notes")))
		{
			$t->set_var("notes", $db->f("notes"));
			$t->parse("notes_block", false);
		}
		$weight = $db->f("weight");
		if($weight > 0)
		{
			if(strpos ($weight, ".") !== false) {
				while(substr($weight, strlen($weight) - 1) == "0")
					$weight = substr($weight, 0, strlen($weight) - 1);
			}
			if(substr($weight, strlen($weight) - 1) == ".")
				$weight = substr($weight, 0, strlen($weight) - 1);
			$t->set_var("weight", $weight . " " . $settings["weight_measure"]);
			$t->parse("weight_block", false);
		}

		$full_description = $db->f("full_description");
		if($full_description) 
		{
			if($db->f("full_desc_type") != 1)
				$full_description = nl2br(htmlspecialchars($full_description));
			$t->set_var("full_description", $full_description);
			$t->parse("description", false);
		}
		else
		{
			$t->set_var("description", "");
		}

		$features = $db->f("features");
		if($features) 
		{
			$t->set_var("features_list", $features);
			$t->parse("features", false);
		}


		$big_image = $db->f("big_image");
		if($big_image)
		{
			$image_size = preg_match("/^http\:\/\//", $big_image) ? "" : @GetImageSize($big_image);
      $t->set_var("alt", htmlspecialchars($item_name));
      $t->set_var("src", htmlspecialchars($big_image));
			if(is_array($image_size))
			{
        $t->set_var("width", "width=\"" . $image_size[0] . "\"");
	      $t->set_var("height", "height=\"" . $image_size[1] . "\"");
			}
			else
			{
        $t->set_var("width", "");
	      $t->set_var("height", "");
			}
			$t->parse("big_image", false);
		}
		else
		{
			$t->set_var("big_image", "");
		}

		$price = $db->f("price");
		$sales_price = $db->f("sales_price");
		$is_sales = $db->f("is_sales");
		$base_price = calculate_price($price, $is_sales, $sales_price);
		$t->set_var("base_price", $base_price);
		if($sales_price > 0 && $sales_price != $price && $is_sales)
		{
			$discount_percent = round($db->f("discount_percent"), 0);
			if(!$discount_percent) 
				$discount_percent = round(($price - $sales_price) / ($price / 100), 0);

			$t->set_var("discount_percent", $discount_percent);

			$t->set_var("price_class", "realprice");
			$t->set_var("price", $currency_left . number_format($price, 2) . $currency_right);
			$t->set_var("sales_price", $currency_left . number_format($sales_price + $selected_price, 2) . $currency_right);
			$t->set_var("you_save", $currency_left . number_format($price - $sales_price, 2) . $currency_right);
			$t->parse("sales", false);
			$t->parse("save", false);
		}
		else
		{
			$t->set_var("price_class", "ourprice");
			$t->set_var("price", $currency_left . number_format($price + $selected_price, 2) . $currency_right);
			$t->set_var("sales", "");
			$t->set_var("save", "");
		}

		$buy_link = $db->f("buy_link");
		if($buy_link)
			$t->set_var("buy_href", $db->f("buy_link") . $db->f("affiliate_code"));
		else if($is_properties)
			$t->set_var("buy_href", "javascript:document.form_" . $item_id . ".submit();");
		else 
			$t->set_var("buy_href", $cart_link . "cart=ADD&item_id=" . $item_id . "&rp=" . urlencode($page));

			
		$t->parse("item");
		$t->set_var("no_item", "");

		if($settings["reviews_availability"]) {
			// count reviews
			$sql = " SELECT COUNT(*) FROM " . $table_prefix . "reviews WHERE approved=1 AND item_id=" . $db->tosql($item_id, INTEGER);
			$total_votes = get_db_value($sql);
			
			if($total_votes)
			{
				// parse summary statistic
				$t->set_var("total_votes", $total_votes);
				$sql = " SELECT COUNT(*) FROM " . $table_prefix . "reviews WHERE approved=1 AND rating <> 0 AND item_id=" . $db->tosql($item_id, INTEGER);
				$total_rating_votes = get_db_value($sql);
	  
				$average_rating_float = 0;
				if($total_rating_votes)
				{
					$sql = " SELECT SUM(rating) FROM " . $table_prefix . "reviews WHERE approved=1 AND rating <> 0 AND item_id=" . $db->tosql($item_id, INTEGER);
					$average_rating_float = round(get_db_value($sql) / $total_rating_votes, 2);
				}
				$average_rating = round($average_rating_float, 0);
				$average_rating_image = $average_rating ? "rating_" . $average_rating . ".gif" : "not_rated.gif";
				$t->set_var("average_rating_image", $average_rating_image);
				$t->set_var("average_rating_alt", $average_rating_float);
	  
				$based_on_message = str_replace("{total_votes}", $total_votes, BASED_ON_REVIEWS_MSG);
				$t->set_var("BASED_ON_REVIEWS_MSG", $based_on_message);
				$t->parse("summary_statistic", false);
	  
				$is_reviews = false;
				$sql  = " SELECT * FROM " . $table_prefix . "reviews ";
				$sql .= " WHERE recommended=1 AND approved=1 AND comments IS NOT NULL ";
				$sql .= " AND item_id=" . $db->tosql($item_id, INTEGER);
				$sql .= " ORDER BY date_added DESC";  
				$db->RecordsPerPage = 1;
				$db->PageNumber = 1;
				$db->query($sql);
				if($db->next_record())
				{
					$is_reviews = true;
					$rating = round($db->f("rating"), 0);
					$rating_image = $rating ? "rating_" . $rating . ".gif" : "not_rated.gif";
					$t->set_var("rating_image", $rating_image);
					$t->set_var("review_user_name", htmlspecialchars($db->f("user_name")));
					$date_added = $db->f("date_added", DATETIME);
					$date_added_string = va_date($datetime_show_format, $date_added);
					$t->set_var("review_date_added", $date_added_string);
					$t->set_var("review_summary", htmlspecialchars($db->f("summary")));
					$t->set_var("review_comments", nl2br(htmlspecialchars($db->f("comments"))));
        
					$t->set_var("POSITIVE_REVIEW_MSG",  POSITIVE_REVIEW_MSG);
					$t->parse("positive_review", false);
				}
	  
				$sql  = " SELECT * FROM " . $table_prefix . "reviews ";
				$sql .= " WHERE recommended=0 AND approved=1 AND comments IS NOT NULL ";
				$sql .= " AND item_id=" . $db->tosql($item_id, INTEGER);
				$sql .= " ORDER BY date_added DESC";  
				$db->RecordsPerPage = 1;
				$db->PageNumber = 1;
				$db->query($sql);
				if($db->next_record())
				{
					$is_reviews = true;
					$rating = round($db->f("rating"), 0);
					$rating_image = $rating ? "rating_" . $rating . ".gif" : "not_rated.gif";
					$t->set_var("rating_image", $rating_image);
					$t->set_var("review_user_name", htmlspecialchars($db->f("user_name")));
					$date_added = $db->f("date_added", DATETIME);
					$date_added_string = va_date($datetime_show_format, $date_added);
					$t->set_var("review_date_added", $date_added_string);
					$t->set_var("review_summary", htmlspecialchars($db->f("summary")));
					$t->set_var("review_comments", nl2br(htmlspecialchars($db->f("comments"))));
        
					$t->set_var("NEGATIVE_REVIEW_MSG",  NEGATIVE_REVIEW_MSG);
					$t->parse("negative_review", false);
				}
	  
				if($is_reviews) {
					$t->set_var("SEE_ALL_REVIEWS_MSG",  SEE_ALL_REVIEWS_MSG);
					$t->parse("all_reviews_link", false);
				}
	  
			}
			else
			{
				$t->parse("not_rated", false);
			}
			$t->parse("reviews", false);
		}

	}
	else
	{
		$t->set_var("item", "");
		$t->set_var("NO_PRODUCT_MSG", NO_PRODUCT_MSG);
		$t->parse("no_item", false);
	}

	$t->parse("block_body", false);
	$t->parse($block_name, true);

}

?>