<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  change_password.php                                      ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./includes/common.php");
	include("./includes/navigator.php");
	include("./includes/tree.php");
	include("./includes/record.php");
	include("./includes/date_functions.php");

	check_user_session();

  $t = new VA_Template($settings["templates_dir"]);
  $t->set_file("main","change_password.html");
	$t->set_var("change_password_href", "change_password.php");
	$t->set_var("user_home_href", "user_home.php");
	$t->set_var("CHANGE_PASSWORD_MSG", CHANGE_PASSWORD_MSG);
	$t->set_var("CURRENT_PASS_FIELD",  CURRENT_PASS_FIELD);
	$t->set_var("NEW_PASS_FIELD",      NEW_PASS_FIELD);
	$t->set_var("CONFIRM_PASS_FIELD",  CONFIRM_PASS_FIELD);
	$t->set_var("UPDATE_BUTTON",       UPDATE_BUTTON);
	$t->set_var("CANCEL_BUTTON",       CANCEL_BUTTON);
	$t->set_var("ENTER_YOUR_MSG",      ENTER_YOUR_MSG);
	$t->set_var("CHOOSE_A_MSG",        CHOOSE_A_MSG);


	$r = new VA_Record($table_prefix . "users");

	$r->add_where("user_id", INTEGER);
	$r->add_textbox("modified_date", DATETIME);
	$r->add_textbox("current_password", TEXT, CURRENT_PASS_FIELD);
	$r->change_property("current_password", USE_IN_UPDATE, false);
	$r->change_property("current_password", REQUIRED, true);
	$r->add_textbox("password", TEXT, NEW_PASS_FIELD);
	$r->change_property("password", REQUIRED, true);
	$r->change_property("password", MIN_LENGTH, 5);
	$r->add_textbox("confirm", TEXT, CONFIRM_PASS_FIELD);
	$r->change_property("confirm", USE_IN_UPDATE, false);
	$r->change_property("password", MATCHED, "confirm");

	$action = get_param("action");
	$user_id = get_session("session_user_id");
	$return_page = "user_home.php";
	$errors = "";
	$r->get_form_values();


	if(strlen($action))
	{
		if($action == "cancel")
		{
			header("Location: " . $return_page);
			exit;
		}
		
		$r->validate();

		if(!$r->is_empty("current_password")) {
			$sql  = " SELECT password FROM " . $table_prefix . "users WHERE user_id=" . $db->tosql($user_id, INTEGER);
			$sql .= " AND password=" . $db->tosql($r->get_value("current_password"), TEXT);
			$db->query($sql);
			if(!$db->next_record()) {
				$r->errors .= str_replace("{field_name}", $r->parameters["current_password"][CONTROL_DESC], INCORRECT_VALUE_MESSAGE);
			}
		} 

		if(!strlen($r->errors))
		{
			$r->set_value("user_id", $user_id);
			$r->set_value("modified_date", va_time());
			$r->update_record();
			header("Location: " . $return_page);
			exit;
		}
	}

	$r->set_parameters();

	include("./header.php");
	include("./footer.php");

	$t->pparse("main");

?>