<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  checkout.php                                             ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./includes/common.php");
	include_once ("./messages/".$language_code."/cart_messages.php");

	//setcookie("cookie_user_login", "");  
	//set_session("session_user_id", "");
	$shopping_cart = get_session("shopping_cart");
	if(!is_array($shopping_cart))
	{
		$rp = get_param("rp");
		$rp = strlen($rp) ? "basket.php?rp=" . urlencode($rp) : "basket.php";
		header("Location: " . $rp);
		exit;
	}

	if(get_session("session_user_id"))
	{
		header("Location: order_info.php");
		exit;
	}

  $t = new VA_Template($settings["templates_dir"]);
  $t->set_file("main","checkout.html");

	$t->set_var("order_info_href", "order_info.php");
	$t->set_var("order_info_url", urlencode("order_info.php"));
	$t->set_var("user_profile_href", "user_profile.php");
	$t->set_var("CHECKOUT_LOGIN_TITLE", CHECKOUT_LOGIN_TITLE);
	$t->set_var("CHECKOUT_WITHOUT_MSG", CHECKOUT_WITHOUT_MSG);
	$t->set_var("OPEN_AND_CHECKOUT_MSG", OPEN_AND_CHECKOUT_MSG);
	$t->set_var("NEW_USER_MSG", NEW_USER_MSG);
	$t->set_var("SIGN_UP_MSG", SIGN_UP_MSG);
	$t->set_var("EXISTS_USER_MSG", EXISTS_USER_MSG);
	$t->set_var("ENTER_LOGIN_MSG", ENTER_LOGIN_MSG);
	$t->set_var("LOGIN_FIELD", LOGIN_FIELD);
	$t->set_var("PASSWORD_FIELD", PASSWORD_FIELD);
	$t->set_var("REMEMBER_LOGIN_MSG", REMEMBER_LOGIN_MSG);
	$t->set_var("SIGN_IN_BUTTON", SIGN_IN_BUTTON);
	$t->set_var("LOGIN_AS_MSG", LOGIN_AS_MSG);
	$t->set_var("ACCESS_HOME_MSG", ACCESS_HOME_MSG);
	$t->set_var("CLICK_HERE_MSG", CLICK_HERE_MSG);
	$t->set_var("LOGOUT_BUTTON", LOGOUT_BUTTON);

	//$t->parse("checkout_login_block", false);

	$login = get_cookie("cookie_user_login");
	$password = get_cookie("cookie_user_password");
	if(strlen($login) && strlen($password))
	{
		$cookie_login = true;
	}
	else
	{
		$cookie_login = false;
		$login = "";
		$password = "";
	}

	$errors = "";
	$remember_me = get_param("remember_me");
	$action = get_param("action");
	if($action == "login" || $cookie_login)
	{
		if(!$cookie_login)
		{
			$login = get_param("login");
			$password = get_param("password");

			if(!strlen($login)) {
				$error_message = str_replace("{field_name}", LOGIN_FIELD, REQUIRED_MESSAGE);
				$errors .= $error_message . "<br>";
			}
	  
			if(!strlen($password)) {
				$error_message = str_replace("{field_name}", PASSWORD_FIELD, REQUIRED_MESSAGE);
				$errors .= $error_message . "<br>";
			}
		}
		
		if(!strlen($errors))
		{
			$sql  = " SELECT user_id,login,name,first_name,last_name,email FROM " . $table_prefix . "users WHERE ";
			$sql .= " login=" . $db->tosql($login, TEXT);
			$sql .= " AND password=" . $db->tosql($password, TEXT);
			$db->query($sql);
			if($db->next_record())
			{
				set_session("session_user_id", $db->f("user_id"));
				set_session("session_user_login", $login);
				if(strlen($db->f("name"))) {
					$user_name = $db->f("name");
				} else if (strlen($db->f("first_name")) || strlen($db->f("last_name"))) {
					$user_name = $db->f("first_name") . " " . $db->f("last_name");
				} else {
					$user_name = $user_login;
				}
				set_session("session_user_name", $user_name);
				set_session("session_user_email", $db->f("email"));

				if($remember_me)
				{
					setcookie("cookie_user_login", $login, time() + 3600 * 24 * 366);  
					setcookie("cookie_user_password", $password, time() + 3600 * 24 * 366);  
				}
				header("Location: order_info.php");
				exit;
			}
			else
			{
				$errors .= LOGIN_PASSWORD_ERROR . "<br>";
				if($cookie_login)
				{
					setcookie("cookie_user_login");  
					setcookie("cookie_user_password");  
				}
			}
		}
	}

	if($remember_me)
		$t->set_var("remember_me", "checked");
	else
		$t->set_var("remember_me", "");

	$t->set_var("login", htmlspecialchars($login));

	if(strlen($errors))
	{
		$t->set_var("errors_list", $errors);
		$t->parse("errors", false);
	}
	else
	{
		$t->set_var("errors", "");
	}

	include("./header.php");
	include("./footer.php");

	$t->pparse("main");

?>