<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  items_properties.php                                     ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	function show_items_properties($item_id, $form_id)
	{
	 	global $t, $db, $table_prefix;
		global $settings;

		// connection for properties
		$dbp = new VA_SQL();
		$dbp->DBDatabase = $db->DBDatabase;
		$dbp->DBUser     = $db->DBUser;
		$dbp->DBPassword = $db->DBPassword;
		$dbp->DBHost     = $db->DBHost;
  
		// connection for properies values
		$dbpv = new VA_SQL();
		$dbpv->DBDatabase = $db->DBDatabase;
		$dbpv->DBUser     = $db->DBUser;        
		$dbpv->DBPassword = $db->DBPassword;
		$dbpv->DBHost     = $db->DBHost;    

		$currency_left = "";
		$currency_right = "";
		if($settings["currency_position"] == 1)
			$currency_left = $settings["currency_sign"];
		else if($settings["currency_position"] == 2)
			$currency_right = $settings["currency_sign"];

		$properties_ids = "";
		$selected_price = 0;
		$is_properties = false;
		$t->set_var("properties", "");
		$sql  = " SELECT * ";
		$sql .= " FROM " . $table_prefix . "items_properties WHERE item_id=" . $item_id;
		$sql .= " AND use_on_checkout=0 ";
		$sql .= " ORDER BY property_id ";
		$dbp->query($sql);
		if($dbp->next_record())
		{
			$is_properties = true;
			do 
			{
				$property_id = $dbp->f("property_id");
				$property_name = $dbp->f("property_name");
				$property_description = $dbp->f("property_description");
				$control_type = $dbp->f("control_type");
				$control_style = $dbp->f("control_style");
				$property_required = $dbp->f("required");
				$start_html = $dbp->f("start_html");
				$middle_html = $dbp->f("middle_html");
				$end_html = $dbp->f("end_html");
				if($properties_ids) $properties_ids .= ",";
				$properties_ids .= $property_id;

				$property_control  = "";
				$property_control .= "<input type=\"hidden\" name=\"property_name_" . $property_id . "\"";
				$property_control .= " value=\"" . htmlspecialchars($property_name) . "\">";
				$property_control .= "<input type=\"hidden\" name=\"property_required_" . $property_id . "\"";
				$property_control .= " value=\"" . intval($property_required) . "\">";
				$property_control .= "<input type=\"hidden\" name=\"property_control_" . $property_id . "\"";
				$property_control .= " value=\"" . strtoupper($control_type) . "\">";

				$sql  = " SELECT * FROM " . $table_prefix . "items_properties_values ";
				$sql .= " WHERE property_id=" . $property_id . " AND hide_value=0";
				$sql .= " ORDER BY item_property_id ";
				if (strtoupper($control_type) == "LISTBOX") {
					$properties_prices = "";
					$properties_values = "<option value=\"\">Select " . $property_name . "</option>\n";
					$dbpv->query($sql);
					while($dbpv->next_record())
					{
						$additional_price = $dbpv->f("additional_price");
						$item_property_id = $dbpv->f("item_property_id");
						$is_default_value = $dbpv->f("is_default_value");
						$property_selected  = "";
						$properties_prices .= "<input type=\"hidden\" name=\"option_price_" . $item_property_id . "\"";
						$properties_prices .= " value=\"" . $additional_price . "\">";
						if ($is_default_value) {
							$property_selected  = "selected ";
							$selected_price    += $additional_price;
						} 

						$properties_values .= "<option " . $property_selected . "value=\"" . htmlspecialchars($item_property_id) . "\">";
						$properties_values .= htmlspecialchars($dbpv->f("property_value"));
						if($additional_price > 0)
							$properties_values .= " (+ " . $currency_left . number_format($additional_price, 2) . $currency_right . ")";
						else if ($additional_price < 0)
							$properties_values .= " (- " . $currency_left . number_format(abs($additional_price), 2) . $currency_right . ")";
						$properties_values .= "</option>\n";
					}
					$property_control .= "<select name=\"property_" . $property_id . "\" onChange=\"changeProperty(document.form_".$form_id.");\"";
					if ($control_style) {	
						$property_control .= " style=\"" . $control_style . "\"";
					}
					$property_control .= ">" . $properties_values . "</select>";
					$property_control .= $properties_prices;
					$property_control .= $end_html;
				} else if (strtoupper($control_type) == "RADIOBUTTON" || strtoupper($control_type) == "CHECKBOXLIST") {
					$is_radio = (strtoupper($control_type) == "RADIOBUTTON");
					$input_type = $is_radio ? "radio" : "checkbox";
					$property_control .= "<span";
					if ($control_style) {	$property_control .= " style=\"" . $control_style . "\""; }
					$property_control .= ">";
					$value_number = 0;
					$dbpv->query($sql);
					while($dbpv->next_record())
					{
						$value_number++;
						$additional_price = $dbpv->f("additional_price");
						$item_property_id = $dbpv->f("item_property_id");
						$is_default_value = $dbpv->f("is_default_value");
						$property_checked = "";
						$property_control .= "<input type=\"hidden\" name=\"option_price_" . $item_property_id . "\"";
						$property_control .= " value=\"" . $additional_price . "\">";
						if ($is_default_value) {
							$property_checked = "checked ";
							$selected_price  += $additional_price;
						} 

						$control_name = ($is_radio) ? ("property_".$property_id) : ("property_".$property_id."_".$value_number);
						$property_control .= "<input type=\"" . $input_type . "\" name=\"" . $control_name . "\" ". $property_checked;
						$property_control .= "value=\"" . htmlspecialchars($item_property_id) . "\" onClick=\"changeProperty(document.form_".$form_id.");\"> ";
						$property_control .= $dbpv->f("property_value");
						if($additional_price > 0)
							$property_control .= " (+ " . $currency_left . number_format($additional_price, 2) . $currency_right . ")";
						else if ($additional_price < 0)
							$property_control .= " (- " . $currency_left . number_format(abs($additional_price), 2) . $currency_right . ")";
						$property_control .= $end_html;
					}
					$property_control .= "</span>";
					$property_control .= "<input type=\"hidden\" name=\"property_total_".$property_id."\" value=\"".$value_number."\">";
				} else if (strtoupper($control_type) == "TEXTBOX") {
					$property_control .= "<input type=\"text\" name=\"property_" . $property_id . "\"";
					if ($control_style) {	
						$property_control .= " style=\"" . $control_style . "\"";
					}
					$property_control .= " value=\"\">";
					$property_control .= $end_html;
				} else if (strtoupper($control_type) == "TEXTAREA") {
					$property_control .= "<textarea name=\"property_" . $property_id . "\"";
					if ($control_style) {	
						$property_control .= " style=\"" . $control_style . "\"";
					}
					$property_control .= "></textarea>";
					$property_control .= $end_html;
				} else {
					if ($property_required) {
						$property_control .= "<input type=\"hidden\" name=\"property_" . $property_id . "\" value=\"" . htmlspecialchars($property_description) . "\">";
					}
					$property_control .= "<span";
					if ($control_style) {	
						$property_control .= " style=\"" . $control_style . "\"";
					}
					$property_control .= ">" . $property_description . "</span>";
					$property_control .= $end_html;
				}
				$t->set_var("property_id", $property_id);
				$t->set_var("property_name", $start_html . $property_name);
				$t->set_var("property_control", $middle_html . $property_control);

				$t->parse("properties", true);
			} while($dbp->next_record());
		}
		$t->set_var("properties_ids", $properties_ids);

		$properties["is_any"] = $is_properties;
		$properties["ids"] = $properties_ids;
		$properties["price"] = $selected_price;

		return $properties;
	}

?>