<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  news_view.php                                            ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./includes/common.php");
	include("./includes/date_functions.php");

  $t = new VA_Template($settings["templates_dir"]);
  $t->set_file("main","news_view.html");
	$t->set_var("NEWS_TITLE",  NEWS_TITLE);
	$t->set_var("BACK_BUTTON", BACK_BUTTON);
	$t->set_var("NO_NEWS_MSG", NO_NEWS_MSG);

	$rp = get_param("rp");
	$page_number = get_param("page");

	if(!strlen($rp)) $rp = "news.php";
	$t->set_var("back_href", $rp);
	$t->set_var("page", $page_number);

	$news_id = get_param("news_id");
	if(strlen($news_id))
	{
		$sql = "SELECT * FROM " . $table_prefix . "news WHERE is_showing=1 AND news_id=" . $db->tosql($news_id, INTEGER);
		$db->query($sql);
		if($db->next_record())
		{
			$t->set_var("news_title", $db->f("news_title"));
			$author = $db->f("author");
			if(strlen(trim($author)))
			{
				$t->set_var("author", $author);
				$t->parse("author_block", false);
			}
			$news_date = $db->f("news_date", DATETIME);
			$news_date_string  = va_date($date_show_format, $news_date);
			$t->set_var("news_date", $news_date_string);

			$is_html = $db->f("is_html");
			$news_body = $db->f("news_body");
			$news_body = $is_html ? $news_body : "<div align=\"justify\">" . nl2br(htmlspecialchars($news_body)) . "</div>";
			$t->set_var("news_body", $news_body);			

		}
		else
		{
			$error_string = "<div align=\"center\"><font color=\"red\"><b>News was not found</b></font></div>";
			$t->set_var("news_title", "News Error");
			$t->set_var("news_body", $error_string);
		}
	}
	else
	{
		$error_string = "<font color=\"red\"><b>You must select some news</b></font><br>";
		$t->set_var("news_title", "News Error");
		$t->set_var("news_body", $error_string);
	}


	include("./header.php");
	include("./footer.php");

	$t->pparse("main");

?>